<?php
namespace EEPROM\Auth;

use EEPROM\Users\UserInfo;

class AuthInfo {
    private ?UserInfo $userInfo;

    public function __construct() {
        $this->setInfo();
    }

    public function setInfo(
        ?UserInfo $userInfo = null
    ): void {
        $this->userInfo = $userInfo;
    }

    public function removeInfo(): void {
        $this->setInfo();
    }

    public function isLoggedIn(): bool {
        return $this->userInfo !== null;
    }

    public function getUserId(): ?string {
        return $this->userInfo?->getId();
    }

    public function getUserInfo(): ?UserInfo {
        return $this->userInfo;
    }
}
